KXD(8)

NAME
kxd - securely forward X conections

SYNOPSIS
kxd [-t] [-i] [-p port]

DESCRIPTION
This is the daemon for kx.

Options supported by kxd:

-t  TCP. Normally kxd will only listen for X connections on a UNIX socket, but some machines (for example, Cray) have X libraries that are not able to use UNIX sockets and thus you need to use TCP to talk to the pseudo-xserver created by kxd. This option decreases the security significantly and should only be used when it is necessary and you have considered the consequences of doing so.

-i  Interactive. Do not expect to be started by inetd, but allocate and listen to the socket yourself. Handy for testing and debugging.

-p  Port. Listen on the port port. Only usable with -i.

EXAMPLES
Put the following in /etc/inetd.conf:

    kx	stream	tcp	nowait	root	/usr/athena/libexec/kxd	kxd

SEE ALSO
kx(1), rxtelnet(1), rxterm(1)